package com.mortals.xhx.module.matter.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.matter.model.vo.MatterChargesVo;
/**
* 事项收费标准实体对象
*
* @author zxfei
* @date 2022-01-12
*/

public class MatterChargesEntity extends MatterChargesVo {
    private static final long serialVersionUID = 1L;

    /**
    * 事项基础表matter id
    */
    private Long matterId;
    /**
    * 事项名称
    */
    private String matterName;
    /**
    * 收费标准
    */
    private String content;
    /**
    * 事项来源，(0.政务网，1.自定义)
    */
    private Integer source;



    public MatterChargesEntity(){}
    /**
    * 获取 事项基础表matter id
    * @return Long
    */
    public Long getMatterId(){
        return matterId;
    }
    /**
    * 设置 事项基础表matter id
    * @param matterId
    */
    public void setMatterId(Long matterId){
        this.matterId = matterId;
    }
    /**
    * 获取 事项名称
    * @return String
    */
    public String getMatterName(){
        return matterName;
    }
    /**
    * 设置 事项名称
    * @param matterName
    */
    public void setMatterName(String matterName){
        this.matterName = matterName;
    }
    /**
    * 获取 收费标准
    * @return String
    */
    public String getContent(){
        return content;
    }
    /**
    * 设置 收费标准
    * @param content
    */
    public void setContent(String content){
        this.content = content;
    }
    /**
    * 获取 事项来源，(0.政务网，1.自定义)
    * @return Integer
    */
    public Integer getSource(){
        return source;
    }
    /**
    * 设置 事项来源，(0.政务网，1.自定义)
    * @param source
    */
    public void setSource(Integer source){
        this.source = source;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof MatterChargesEntity) {
            MatterChargesEntity tmp = (MatterChargesEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",matterId:").append(getMatterId());
        sb.append(",matterName:").append(getMatterName());
        sb.append(",content:").append(getContent());
        sb.append(",source:").append(getSource());
        return sb.toString();
    }

    public void initAttrValue(){

            this.matterId = 0L;

            this.matterName = null;

            this.content = null;

            this.source = 0;
    }
}